﻿@Html.DevExpress().DropDownEdit(
    settings => {
        settings.Name = "cbDockCode";
        settings.Width = System.Web.UI.WebControls.Unit.Pixel(100);
        settings.Properties.DropDownWindowStyle.BackColor = System.Drawing.Color.FromArgb(0xEDEDED);

        settings.SetDropDownWindowTemplateContent(c =>
        {
            @Html.RenderPartial("PartialDockCodeGrid");            
            ViewContext.Writer.Write("<table style=\"width:100%\"><tr><td align=\"right\">");                       
            @Html.DevExpress().Button(
                buttonSettings => {
                    buttonSettings.Name = "buttonCloseDock";
                    buttonSettings.Text = "Close";
                    buttonSettings.Style.Add("float", "right");
                    buttonSettings.ClientSideEvents.Click = "function(s, e){ cbDockCode.HideDropDown(); }";
                }
            )
            .Render();
            ViewContext.Writer.Write("</td></tr></table>");
        });
        settings.Properties.AnimationType = AnimationType.None;
    }
).GetHtml()